## cloud-initramfs-tools 0.53

=== debian/changelog ===
cloud-initramfs-tools (0.53) resolute; urgency=medium

  [ Benjamin Drung ]
  * rooturl: use systemd-import on Dracut to support tarballs (LP: #2142564)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 24 Feb 2026 12:30:44 +0100
