=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cloud-initramfs-tools
 Section: admin
-Priority: optional
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
 Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
 
@@ -59,7 +58,11 @@
 
 Package: cloud-initramfs-dyn-netconf
 Architecture: all
-Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
+Depends: dracut (>= 110) | initramfs-tools,
+         dracut-network (>= 110) | initramfs-tools,
+         systemd | initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: write a network interface file in /run for BOOTIF
  This package provides an initramfs module that will write a simple
  network interfaces formatted file to /run/network/interfaces with
@@ -67,9 +70,7 @@
 
 Package: cloud-initramfs-copymods
 Architecture: all
-Depends: dracut (>= 109) | initramfs-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: dracut (>= 109) | initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dracut-core (<< 109)
 Description: copy initramfs modules into root filesystem for later use
  When booting with an external-to-root kernel and initramfs, you need
@@ -93,9 +94,7 @@
 
 Package: cloud-initramfs-updateroot
 Architecture: all
-Depends: initramfs-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Description: extract a tarball over root filesystem before pivot
  Allows kernel command line updateroot=http://your.tar.gz
  And then tarball will be pulled and extracted over the root.
