=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: !armel !i386
 Restrictions: allow-stderr, needs-root
 Depends: cloud-initramfs-rooturl,
+         dracut,
          dracut-test (>= 110),
          python3,
          squashfs-tools,
